Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.relauncher
Class CoreFMLLibraries

    java.lang.Object
      cpw.mods.fml.relauncher.CoreFMLLibraries

All Implemented Interfaces:
  ILibrarySet

    public class CoreFMLLibraries

extends Object
implements ILibrarySet

Constructor Summary
`CoreFMLLibraries()`

Method Summary
`String[]` | `getHashes()` Return the string encoded sha1 hash for each library in the returned list
`String[]` | `getLibraries()` Return a list of libraries available from a common location
`String` | `getRootURL()` Return the root URL format string from which this library set can be obtained There needs to be a single %s string substitution which is the library name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreFMLLibraries

    public CoreFMLLibraries()

Method Detail

### getLibraries

    public String[] getLibraries()

  Description copied from interface: `ILibrarySet`
  Return a list of libraries available from a common location

  Specified by:
    `getLibraries` in interface `ILibrarySet`
  Returns:
    a list of libraries available from a common location

### getHashes

    public String[] getHashes()

  Description copied from interface: `ILibrarySet`
  Return the string encoded sha1 hash for each library in the returned list

  Specified by:
    `getHashes` in interface `ILibrarySet`
  Returns:
    the string encoded sha1 hash for each library in the returned list

### getRootURL

    public String getRootURL()

  Description copied from interface: `ILibrarySet`
  Return the root URL format string from which this library set can be obtained There needs to be a single %s string substitution which is the library name

  Specified by:
    `getRootURL` in interface `ILibrarySet`
  Returns:
    the root URL format string from which this library set can be obtained

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD